你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Throughput Pool Account - Create

创建或更新 Azure Cosmos DB ThroughputPool 帐户。 在帐户上执行更新时,首选“更新”方法。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/throughputPools/{throughputPoolName}/throughputPoolAccounts/{throughputPoolAccountName}?api-version=2025-11-01-preview

URI 参数

名称 必需 类型 说明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

throughputPoolAccountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

吞吐量池中的 Cosmos DB 全局数据库帐户

throughputPoolName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Cosmos DB 吞吐量池名称。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

请求正文

名称 类型 说明
properties.accountLocation

string

throughputPool 中全局数据库帐户的位置。

properties.accountResourceIdentifier

string

throughputPool 中全局数据库帐户的资源标识符。

响应

名称 类型 说明
200 OK

ThroughputPoolAccountResource

资源“ThroughputPoolAccountResource”更新操作成功

201 Created

ThroughputPoolAccountResource

资源“ThroughputPoolAccountResource”创建操作成功

标头

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

CosmosDB ThroughputPool Account Create

示例请求

PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/throughputPools/tp1/throughputPoolAccounts/db1?api-version=2025-11-01-preview

{
  "properties": {
    "accountLocation": "West US",
    "accountResourceIdentifier": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DocumentDB/resourceGroup/rg1/databaseAccounts/db1/"
  }
}

示例响应

{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/throughputPools/tp1/throughputPoolAccounts/db1",
  "properties": {
    "accountInstanceId": "{instance-id1}",
    "accountLocation": "west us",
    "accountResourceIdentifier": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/db1",
    "provisioningState": "Succeeded"
  }
}
{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/throughputPools/tp1/throughputPoolAccounts/db1",
  "properties": {
    "accountInstanceId": "{instance-id1}",
    "accountLocation": "west us",
    "accountResourceIdentifier": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/db1",
    "provisioningState": "Succeeded"
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorResponse

错误响应。

Status

枚举以指示区域的当前构建状态。

systemData

与创建和上次修改资源相关的元数据。

ThroughputPoolAccountResource

Azure Cosmos DB 吞吐量池帐户

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorResponse

错误响应。

名称 类型 说明
code

string

错误代码。

message

string

指示作失败的原因的错误消息。

Status

枚举以指示区域的当前构建状态。

说明
Uninitialized
Initializing
InternallyReady
Online
Deleting
Succeeded
Failed
Canceled
Updating
Creating

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。

ThroughputPoolAccountResource

Azure Cosmos DB 吞吐量池帐户

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.accountInstanceId

string

throughputPool 中全局数据库帐户的实例 ID。

properties.accountLocation

string

throughputPool 中全局数据库帐户的位置。

properties.accountResourceIdentifier

string

throughputPool 中全局数据库帐户的资源标识符。

properties.provisioningState

Status

ThroughputPool 帐户的预配状态。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”